zipios::ZipInputStream Class Reference

ZipInputStream is an istream that gets it's input from a zip file. More...

`#include <zipinputstream.h>`

Inheritance diagram for zipios::ZipInputStream:
[legend]

## Public Member Functions

| ZipInputStream (istream &is, streampos pos=0)
| ZipInputStream constructor.
| ZipInputStream (const string &filename, streampos pos=0)
| ZipInputStream constructor.
int | available ()
void | closeEntry ()
| Closes the current entry, and positions the stream read pointer at the beginning of the next entry (if there is one).
void | close ()
| Closes the istream.
ConstEntryPointer | getNextEntry ()
| Opens the next entry in the zip archive and returns a const pointer to a FileEntry object for the entry.
virtual | ~ZipInputStream ()
| Destructor.

## Detailed Description

ZipInputStream is an istream that gets it's input from a zip file.

The interface approximates the interface of the Java ZipInputStream.

Definition at line 20 of file zipinputstream.h.

## Constructor & Destructor Documentation

## ZipInputStream() [1/2]

zipios::ZipInputStream::ZipInputStream | ( | istream & | is,
|  | streampos | pos = 0 )

explicit

ZipInputStream constructor.

Parameters

  is | istream from which the compressed zip archive can be read.
  pos | position to reposition the istream to before reading.

## ZipInputStream() [2/2]

zipios::ZipInputStream::ZipInputStream | ( | const string & | filename,
|  | streampos | pos = 0 )

explicit

ZipInputStream constructor.

@filename filename of a valid zip file.

Parameters

  pos | position to reposition the istream to before reading.

## ~ZipInputStream()

zipios::ZipInputStream::~ZipInputStream | ( |  | ) |

virtual

Destructor.

Definition at line 53 of file zipinputstream.cpp.

## Member Function Documentation

## available()

int zipios::ZipInputStream::available | ( |  | ) |

Definition at line 33 of file zipinputstream.cpp.

## close()

void zipios::ZipInputStream::close | ( |  | ) |

Closes the istream.

Definition at line 41 of file zipinputstream.cpp.

## closeEntry()

void zipios::ZipInputStream::closeEntry | ( |  | ) |

Closes the current entry, and positions the stream read pointer at the beginning of the next entry (if there is one).

Definition at line 37 of file zipinputstream.cpp.

## getNextEntry()

ConstEntryPointer zipios::ZipInputStream::getNextEntry | ( |  | ) |

Opens the next entry in the zip archive and returns a const pointer to a FileEntry object for the entry.

For new instances this method has to be called once before you can read from the first entry.

Returns
  a const FileEntry * containing information about the (now) current entry.

Definition at line 48 of file zipinputstream.cpp.

The documentation for this class was generated from the following files:

- zipinputstream.h
- zipinputstream.cpp